IMocksControlState (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.internal
Interface IMocksControlState

All Known Implementing Classes:
  RecordState, ReplayState

    public interface IMocksControlState

Author:
  OFFIS, Tammo Freese

Method Summary
`void` | `andAnswer(IAnswer<?> answer)`
`void` | `andDelegateTo(Object answer)`
`void` | `andReturn(Object value)`
`void` | `andStubAnswer(IAnswer<?> answer)`
`void` | `andStubDelegateTo(Object delegateTo)`
`void` | `andStubReturn(Object value)`
`void` | `andStubThrow(Throwable throwable)`
`void` | `andThrow(Throwable throwable)`
`void` | `assertRecordState()`
`void` | `asStub()`
`void` | `checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)`
`void` | `checkOrder(boolean value)`
`Object` | `invoke(Invocation invocation)`
`void` | `makeThreadSafe(boolean threadSafe)`
`void` | `replay()`
`void` | `times(Range range)`
`void` | `verify()`

Method Detail

### invoke

    Object invoke(Invocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

### assertRecordState

    void assertRecordState()

### andReturn

    void andReturn(Object value)

### andThrow

    void andThrow(Throwable throwable)

### andAnswer

    void andAnswer(IAnswer<?> answer)

### andDelegateTo

    void andDelegateTo(Object answer)

### andStubReturn

    void andStubReturn(Object value)

### andStubThrow

    void andStubThrow(Throwable throwable)

### andStubAnswer

    void andStubAnswer(IAnswer<?> answer)

### andStubDelegateTo

    void andStubDelegateTo(Object delegateTo)

### asStub

    void asStub()

### times

    void times(Range range)

### checkOrder

    void checkOrder(boolean value)

### makeThreadSafe

    void makeThreadSafe(boolean threadSafe)

### checkIsUsedInOneThread

    void checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)

### replay

    void replay()

### verify

    void verify()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.